Subject: Re: Symbolic refs and the git protocol?

From: Avi Kivity <[email-masked]>
Date: Sun, 25 Sep 2011 16:48:42 +0300

On 09/25/2011 04:42 PM, Sitaram Chamarty wrote:
> On Sun, Sep 25, 2011 at 6:47 PM, Avi Kivity<[email-masked]>  wrote:
> >  With the old kernel.org setup, practically the only think I needed to do on
> >  the server itself is the 'git symbolic-ref' command (used to point
> >  refs/heads/linux-next at the correct stream).
> >
> >  Now it looks like kernel.org will no longer offer shell access.  Is it
> >  possible to support symbolic-ref via 'git push'?
>
> Can I assume you mean specifically for HEAD, as in 'git symbolic-ref
> HEAD refs/heads/some-branch'?

No, I use them for ordinary branches, for example

   git symbolic-ref refs/heads/linux-next refs/heads/kvm-updates/3.2

from this point on, any update to kvm-updates/3.2 will be reflected in 
the linux-next ref.

> Although gitolite disables shell access by design, it provides several
> (optionally installed) features to allow specific shell commands to be
> executed.  One such command is "set-head", which does exactly what you
> ask.  You run it like 'ssh git@server set-head reponame.git
> refs/heads/foo' and it ends up running 'git symbolic-ref HEAD
> refs/heads/foo' in the repo.
>
> I realise that does not answer "can it be done via git push" but I
> thought it might help...

Well, if set-head can be extended a bit, it would suit me perfectly.

-- 
error compiling committee.c: too many arguments to function